Skip to main content
POST
perpDexs

Authorizations

X-API-KEY
string
header
required

API key to access the API (Optional)

Query Parameters

chainId
enum<number>
default:999
required

Unique identifier for a blockchain network.

Available options:
999,
998
Example:

999

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
Dwellir,
Chainstack,
Covalent

Body

application/json
type
enum<string>
default:perpDexs
required
Available options:
perpDexs
Example:

"perpDexs"

Response

200 - application/json
(object | null)[]

Successful response.

name
string
required
Example:

"xyz"

fullName
string
required
Example:

"XYZ"

deployer
string
required
Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

oracleUpdater
string | null
feeRecipient
string | null
Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

deployerFeeScale
string
Example:

"0.0"

lastDeployerFeeScaleChangeTime
number | null

Epoch ms of the last deployer-fee-scale change, or null.

subDeployers
string[]

Sub-deployer addresses authorized on this DEX.

assetToStreamingOiCap
any[]

Per-asset streaming OI caps, as [asset, cap] tuples.

assetToFundingMultiplier
any[]

Per-asset funding multipliers, as [asset, multiplier] tuples.

assetToFundingInterestRate
any[]

Per-asset funding interest rates, as [asset, rate] tuples.